Purchase a Cingular branded Treo 750 last week, and am having issues connecting with my desktop via USB cable and Activesync 4.2.

Desktop recognizes device, and begins Activesync process, but device states "You must have Activesync 4.1 or higher on your desktop" to run Activesync. I have uninstalled and reinstalled the 4.2 software, and tried two separate computers with the same result. I have also tried the new Activesync 4.5 beta, but still get the same results.

Any input or help would be greatly appreciated!

Jim